Package org.apache.wiki.markdown.nodes

# Class JSPWikiLink

java.lang.Object
com.vladsch.flexmark.util.ast.Node
com.vladsch.flexmark.ast.LinkNodeBase
com.vladsch.flexmark.ast.LinkNode
com.vladsch.flexmark.ast.InlineLinkNode
com.vladsch.flexmark.ast.Link
org.apache.wiki.markdown.nodes.JSPWikiLink

All Implemented Interfaces:
  `com.vladsch.flexmark.util.ast.DoNotLinkDecorate`, `com.vladsch.flexmark.util.ast.TextContainer`

public class JSPWikiLink extends com.vladsch.flexmark.ast.Link
Flexmark node responsible of handling JSPWiki links.

## Nested Class Summary

## Nested classes/interfaces inherited from interface com.vladsch.flexmark.util.ast.TextContainer

`com.vladsch.flexmark.util.ast.TextContainer.Flags`

## Field Summary

### Fields inherited from class com.vladsch.flexmark.ast.InlineLinkNode

`linkClosingMarker, linkOpeningMarker, text, textClosingMarker, textOpeningMarker`

### Fields inherited from class com.vladsch.flexmark.ast.LinkNodeBase

`anchorMarker, anchorRef, pageRef, title, titleClosingMarker, titleOpeningMarker, url, urlClosingMarker, urlOpeningMarker`

### Fields inherited from class com.vladsch.flexmark.util.ast.Node

`AST_ADAPTER, EMPTY_SEGMENTS, SPLICE`

### Fields inherited from interface com.vladsch.flexmark.util.ast.TextContainer

`F_ADD_SPACES_BETWEEN_NODES, F_FOR_HEADING_ID, F_LINK_ANCHOR, F_LINK_NODE_TEXT, F_LINK_PAGE_REF, F_LINK_TEXT, F_LINK_TEXT_TYPE, F_LINK_URL, F_NO_TRIM_REF_TEXT_END, F_NO_TRIM_REF_TEXT_START, F_NODE_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`JSPWikiLink(com.vladsch.flexmark.ast.Link other)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getWikiLink()`
getter.
`boolean`
`hasRef()`
getter.
`String`
`toStringAttributes()`

### Methods inherited from class com.vladsch.flexmark.ast.Link

`setTextChars`

### Methods inherited from class com.vladsch.flexmark.ast.InlineLinkNode

`getAstExtra, getLinkClosingMarker, getLinkOpeningMarker, getSegments, getSegmentsForChars, getText, getTextClosingMarker, getTextOpeningMarker, setLinkClosingMarker, setLinkOpeningMarker, setText, setTextClosingMarker, setTextOpeningMarker, setUrl`

### Methods inherited from class com.vladsch.flexmark.ast.LinkNode

`collectText`

### Methods inherited from class com.vladsch.flexmark.ast.LinkNodeBase

`getAnchorMarker, getAnchorRef, getPageRef, getTitle, getTitleClosingMarker, getTitleOpeningMarker, getUrl, getUrlClosingMarker, getUrlOpeningMarker, setAnchorMarker, setAnchorRef, setPageRef, setTitle, setTitleChars, setTitleClosingMarker, setTitleOpeningMarker, setUrl, setUrlChars, setUrlClosingMarker, setUrlOpeningMarker`

### Methods inherited from class com.vladsch.flexmark.util.ast.Node

`appendChain, appendChild, astChars, astExtraChars, astString, baseSubSequence, baseSubSequence, countAncestorsOfType, countDirectAncestorsOfType, delimitedSegmentSpan, delimitedSegmentSpanChars, endOfLine, extractChainTo, extractToFirstInChain, getAncestorOfType, getBaseSequence, getBlankLineSibling, getChars, getCharsFromSegments, getChildChars, getChildIterator, getChildOfType, getChildren, getDescendants, getDocument, getEmptyPrefix, getEmptySuffix, getEndLineNumber, getEndOffset, getEndOfLine, getExactChildChars, getFirstChild, getFirstChildAny, getFirstChildAnyNot, getFirstInChain, getGrandParent, getLastBlankLineChild, getLastChild, getLastChildAny, getLastChildAnyNot, getLastInChain, getLeadSegment, getLineColumnAtEnd, getLineNumber, getNext, getNextAny, getNextAnyNot, getNodeName, getNodeOfTypeIndex, getNodeOfTypeIndex, getOldestAncestorOfTypeAfter, getParent, getPrevious, getPreviousAny, getPreviousAnyNot, getReversedChildIterator, getReversedChildren, getReversedDescendants, getSourceRange, getStartLineNumber, getStartOffset, getStartOfLine, getTextLength, getTrailSegment, hasChildren, hasOrMoreChildren, insertAfter, insertBefore, insertChainAfter, insertChainBefore, isOrDescendantOfType, lineColumnAtIndex, lineColumnAtStart, moveTrailingBlankLines, prependChild, removeChildren, segmentSpan, segmentSpan, segmentSpanChars, segmentSpanChars, segmentSpanChars, segmentSpanCharsToVisible, setChars, setCharsFromContent, setCharsFromContentOnly, setCharsFromSegments, setParent, spanningChars, startOfLine, takeChildren, toAstString, toSegmentSpan, toString, unlink`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.vladsch.flexmark.util.ast.TextContainer

`collectEndText`

## Constructor Details

### JSPWikiLink

public JSPWikiLink(com.vladsch.flexmark.ast.Link other)

## Method Details

### toStringAttributes

public String toStringAttributes()

Overrides:
  `toStringAttributes` in class `com.vladsch.flexmark.ast.InlineLinkNode`

### getWikiLink

public String getWikiLink()
getter.

Returns:
  wikiLink field.

### hasRef

public boolean hasRef()
getter.

Returns:
  hasRef field.